/*
 * This is the XML Catalog DTD reformatted as a C string, and is

   Copyright  2000, 2001, 2002 OASIS Open, Inc. All Rights Reserved.

 * It is used here in accordance with the following paragraph from
 * the (draft) XML catalog spec:

   This document and translations of it may be copied and furnished to
   others, and derivative works that comment on or otherwise explain
   it or assist in its implementation may be prepared, copied,
   published and distributed, in whole or in part, without restriction
   of any kind, provided that the above copyright notice and this
   paragraph are included on all such copies and derivative
   works. However, this document itself may not be modified in any
   way, such as by removing the copyright notice or references to
   OASIS, except as needed for the purpose of developing OASIS
   specifications, in which case the procedures for copyrights defined
   in the OASIS Intellectual Property Rights document must be
   followed, or as required to translate it into languages other than
   English.

 */

static char *xml_catalog_public_id = "-//OASIS//DTD XML Catalogs V1.0//EN";
static char *xml_catalog_system_id = 
    "http://www.oasis-open.org/committees/entity/release/1.0/catalog.dtd";

static char xml_catalog_dtd[] =
"<!ENTITY % pubIdChars \"CDATA\">\n"
"<!ENTITY % publicIdentifier \"%pubIdChars;\">\n"
"<!ENTITY % partialPublicIdentifier \"%pubIdChars;\">\n"
"<!ENTITY % uriReference \"CDATA\">\n"
"<!ENTITY % string \"CDATA\">\n"
"<!ENTITY % systemOrPublic \"(system|public)\">\n"
"\n"
"<!ENTITY % p \"\">\n"
"<!ENTITY % s \"\">\n"
"<!ENTITY % nsdecl \"xmlns%s;\">\n"
"\n"
"<!ENTITY % catalog \"%p;catalog\">\n"
"<!ENTITY % public \"%p;public\">\n"
"<!ENTITY % system \"%p;system\">\n"
"<!ENTITY % uri \"%p;uri\">\n"
"<!ENTITY % rewriteSystem \"%p;rewriteSystem\">\n"
"<!ENTITY % rewriteURI \"%p;rewriteURI\">\n"
"<!ENTITY % delegatePublic \"%p;delegatePublic\">\n"
"<!ENTITY % delegateSystem \"%p;delegateSystem\">\n"
"<!ENTITY % delegateURI \"%p;delegateURI\">\n"
"<!ENTITY % nextCatalog \"%p;nextCatalog\">\n"
"<!ENTITY % group \"%p;group\">\n"
"\n"
"<!ENTITY % local.catalog.mix \"\">\n"
"<!ENTITY % local.catalog.attribs \"\">\n"
"\n"
"<!ELEMENT %catalog; (%public;|%system;|%uri;\n"
"                     |%rewriteSystem;|%rewriteURI;\n"
"                     |%delegatePublic;|%delegateSystem;|%delegateURI;\n"
"                     |%nextCatalog;|%group; %local.catalog.mix;)+>\n"
"<!ATTLIST %catalog;\n"
"	%nsdecl;	%uriReference;		#FIXED\n"
"		'urn:oasis:names:tc:entity:xmlns:xml:catalog'\n"
"	prefer		%systemOrPublic;	#IMPLIED\n"
"	xml:base	%uriReference;		#IMPLIED\n"
"	%local.catalog.attribs;\n"
">\n"
"\n"
"<!ENTITY % local.public.attribs \"\">\n"
"\n"
"<!ELEMENT %public; EMPTY>\n"
"<!ATTLIST %public;\n"
"	id		ID			#IMPLIED\n"
"	publicId	%publicIdentifier;	#REQUIRED\n"
"	uri		%uriReference;		#REQUIRED\n"
"	xml:base	%uriReference;		#IMPLIED\n"
"        %local.public.attribs;\n"
">\n"
"\n"
"<!ENTITY % local.system.attribs \"\">\n"
"\n"
"<!ELEMENT %system; EMPTY>\n"
"<!ATTLIST %system;\n"
"	id		ID			#IMPLIED\n"
"	systemId	%string;		#REQUIRED\n"
"	uri		%uriReference;		#REQUIRED\n"
"	xml:base	%uriReference;		#IMPLIED\n"
"        %local.system.attribs;\n"
">\n"
"\n"
"<!ENTITY % local.uri.attribs \"\">\n"
"\n"
"<!ELEMENT %uri; EMPTY>\n"
"<!ATTLIST %uri;\n"
"	id		ID			#IMPLIED\n"
"	name		%string;		#REQUIRED\n"
"	uri		%uriReference;		#REQUIRED\n"
"	xml:base	%uriReference;		#IMPLIED\n"
"        %local.uri.attribs;\n"
">\n"
"\n"
"<!ENTITY % local.rewriteSystem.attribs \"\">\n"
"\n"
"<!ELEMENT %rewriteSystem; EMPTY>\n"
"<!ATTLIST %rewriteSystem;\n"
"	id		ID			#IMPLIED\n"
"	systemIdStartString	%string;	#REQUIRED\n"
"	rewritePrefix		%string;		#REQUIRED\n"
"        %local.rewriteSystem.attribs;\n"
">\n"
"\n"
"<!ENTITY % local.rewriteURI.attribs \"\">\n"
"\n"
"<!ELEMENT %rewriteURI; EMPTY>\n"
"<!ATTLIST %rewriteURI;\n"
"	id		ID			#IMPLIED\n"
"	uriStartString	%string;		#REQUIRED\n"
"	rewritePrefix	%string;		#REQUIRED\n"
"        %local.rewriteURI.attribs;\n"
">\n"
"\n"
"<!ENTITY % local.delegatePublic.attribs \"\">\n"
"\n"
"<!ELEMENT %delegatePublic; EMPTY>\n"
"<!ATTLIST %delegatePublic;\n"
"	id		ID			#IMPLIED\n"
"	publicIdStartString	%partialPublicIdentifier;	#REQUIRED\n"
"	catalog		%uriReference;		#REQUIRED\n"
"	xml:base	%uriReference;		#IMPLIED\n"
"        %local.delegatePublic.attribs;\n"
">\n"
"\n"
"<!ENTITY % local.delegateSystem.attribs \"\">\n"
"\n"
"<!ELEMENT %delegateSystem; EMPTY>\n"
"<!ATTLIST %delegateSystem;\n"
"	id		ID			#IMPLIED\n"
"	systemIdStartString	%string;	#REQUIRED\n"
"	catalog		%uriReference;		#REQUIRED\n"
"	xml:base	%uriReference;		#IMPLIED\n"
"        %local.delegateSystem.attribs;\n"
">\n"
"\n"
"<!ENTITY % local.delegateURI.attribs \"\">\n"
"\n"
"<!ELEMENT %delegateURI; EMPTY>\n"
"<!ATTLIST %delegateURI;\n"
"	id		ID			#IMPLIED\n"
"	uriStartString	%string;		#REQUIRED\n"
"	catalog		%uriReference;		#REQUIRED\n"
"	xml:base	%uriReference;		#IMPLIED\n"
"        %local.delegateURI.attribs;\n"
">\n"
"\n"
"<!ENTITY % local.nextCatalog.attribs \"\">\n"
"\n"
"<!ELEMENT %nextCatalog; EMPTY>\n"
"<!ATTLIST %nextCatalog;\n"
"	id		ID			#IMPLIED\n"
"	catalog		%uriReference;		#REQUIRED\n"
"	xml:base	%uriReference;		#IMPLIED\n"
"        %local.nextCatalog.attribs;\n"
">\n"
"\n"
"<!ENTITY % local.group.mix \"\">\n"
"<!ENTITY % local.group.attribs \"\">\n"
"\n"
"<!ELEMENT %group; (%public;|%system;|%uri;\n"
"                   |%rewriteSystem;|%rewriteURI;\n"
"                   |%delegatePublic;|%delegateSystem;|%delegateURI;\n"
"                   |%nextCatalog; %local.group.mix;)+>\n"
"<!ATTLIST %group;\n"
"	id		ID			#IMPLIED\n"
"	prefer		%systemOrPublic;	#IMPLIED\n"
"	xml:base	%uriReference;		#IMPLIED\n"
"        %local.group.attribs;\n"
">\n"
"";
